org.apache.ignite.internal.managers.systemview.walker

## Class ClientConnectionViewWalker

- java.lang.Object
- - org.apache.ignite.internal.managers.systemview.walker.ClientConnectionViewWalker

All Implemented Interfaces:
  SystemViewRowAttributeWalker<ClientConnectionView>

    public class ClientConnectionViewWalker
    extends Object
    implements SystemViewRowAttributeWalker<ClientConnectionView>

Generated by `org.apache.ignite.codegen.SystemViewRowAttributeWalkerGenerator`. `ClientConnectionView` attributes walker.

See Also:
  `ClientConnectionView`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.spi.systemview.view.SystemViewRowAttributeWalker

`SystemViewRowAttributeWalker.AttributeVisitor, SystemViewRowAttributeWalker.AttributeWithValueVisitor`

### Constructor Summary

Constructors
Constructor and Description
`ClientConnectionViewWalker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `count()`
`void` `visitAll(ClientConnectionView row, SystemViewRowAttributeWalker.AttributeWithValueVisitor v)` Calls visitor for each row attribute.
`void` `visitAll(SystemViewRowAttributeWalker.AttributeVisitor v)` Calls visitor for each row attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.spi.systemview.view.SystemViewRowAttributeWalker

`filtrableAttributes`

### Constructor Detail

#### ClientConnectionViewWalker

    public ClientConnectionViewWalker()

### Method Detail

#### visitAll

    public void visitAll(SystemViewRowAttributeWalker.AttributeVisitor v)

Calls visitor for each row attribute.

Specified by:
  `visitAll` in interface `SystemViewRowAttributeWalker<ClientConnectionView>`
Parameters:
  `v` - Attribute visitor.

#### visitAll

    public void visitAll(ClientConnectionView row,
                         SystemViewRowAttributeWalker.AttributeWithValueVisitor v)

Calls visitor for each row attribute. Value of the attribute also provided.

Specified by:
  `visitAll` in interface `SystemViewRowAttributeWalker<ClientConnectionView>`
Parameters:
  `row` - Row to iterate.
  `v` - Attribute visitor.

#### count

    public int count()

Specified by:
  `count` in interface `SystemViewRowAttributeWalker<ClientConnectionView>`
Returns:
  Count of a row properties.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021